> ## Documentation Index
> Fetch the complete documentation index at: https://docs.16tms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tournament Participants

> Fetch a list of participants for a specific tournament.



## OpenAPI

````yaml /api-reference/tournaments/openapi.json get /tournaments/{tournamentId}/participants
openapi: 3.0.0
info:
  title: Tournaments
  version: 1.0.0
  description: API endpoints for accessing tournaments
servers:
  - url: https://api.16tms.com/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /tournaments/{tournamentId}/participants:
    get:
      summary: Get Tournament Participants
      description: Fetch a list of participants for a specific tournament.
      operationId: getTournamentParticipants
      parameters:
        - name: tournamentId
          in: path
          required: true
          schema:
            type: string
          description: The unique identifier of the tournament
        - name: externalId
          in: query
          required: false
          schema:
            type: string
          description: >-
            External ID of the user. If provided, 'isMe' field will be
            populated.
        - name: RoundId
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Filter by Round ID
        - name: GroupId
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Filter by Group ID
        - name: MatchId
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Filter by Match ID
        - name: PageNumber
          in: query
          required: false
          schema:
            type: integer
            format: int32
          description: Page number for pagination
        - name: PageSize
          in: query
          required: false
          schema:
            type: integer
            format: int32
          description: Number of items per page
        - name: GroupVersion
          in: query
          required: false
          schema:
            type: integer
            format: int32
          description: Filter by Group Version
      responses:
        '200':
          description: Tournament participants fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTournamentParticipantsResponse'
              example:
                success: true
                message: Tournament participants fetched successfully
                data:
                  items:
                    - tournamentParticipantId: cbf13f1e-573e-42b7-abef-a164287b40d2
                      tournamentId: 68b5b039-2183-421c-9b47-b937e4736d25
                      tournamentName: Free Fire Clash
                      participantId: b12527ac-34c4-49a5-883e-682f93c51256
                      participantType: 1
                      participantName: Phoenix_Rising
                      participantLogo: https://api.dicebear.com/7.x/identicon/svg?seed=Phoenix
                      joinedAt: '2026-02-10T07:04:35.198734Z'
                      totalMemberCount: 4
                      externalId: null
                      isMe: null
                    - tournamentParticipantId: af51251d-7d9a-498e-973e-3f358e63ea57
                      tournamentId: 68b5b039-2183-421c-9b47-b937e4736d25
                      tournamentName: Free Fire Clash
                      participantId: f661cc49-19f4-4b0a-a167-8b596bc8ad8e
                      participantType: 1
                      participantName: Dark_Knights
                      participantLogo: https://api.dicebear.com/7.x/identicon/svg?seed=Knights
                      joinedAt: '2026-02-10T07:04:35.477279Z'
                      totalMemberCount: 4
                      externalId: null
                      isMe: null
                  totalCount: 2
                  pageNumber: 1
                  pageSize: 20
                  totalPages: 1
                meta:
                  traceId: 00-b32b8151b4c1dd831fda494a00e06c50-1f3de4ce8a71005b-00
                  elapsedMs: 27.86
                  serverTimestamp: '2026-02-17T10:17:41.979395Z'
components:
  schemas:
    GetTournamentParticipantsResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            items:
              type: array
              items:
                $ref: '#/components/schemas/TournamentParticipantItem'
            totalCount:
              type: integer
            pageNumber:
              type: integer
            pageSize:
              type: integer
            totalPages:
              type: integer
        meta:
          $ref: '#/components/schemas/Meta'
    TournamentParticipantItem:
      type: object
      properties:
        tournamentParticipantId:
          type: string
          format: uuid
          example: 9e2c3c0f-15b8-4408-b1dc-1535737c5533
        tournamentId:
          type: string
          format: uuid
          example: d39102c1-a8af-4ecb-9f99-8b0fe8fe993b
        tournamentName:
          type: string
          example: Call of Duty Mobile tournament
        participantId:
          type: string
          format: uuid
          example: 847b3c7c-5f4f-422a-8457-05e60719d594
        participantType:
          type: integer
          example: 1
        participantName:
          type: string
          example: SteelFist WarMachine IronClad TitanFall
        participantLogo:
          type: string
          example: https://api.dicebear.com/7.x/identicon/svg?seed=Storm
        joinedAt:
          type: string
          format: date-time
          example: '2026-02-10T07:46:27.141143Z'
        isDisqualified:
          type: boolean
          example: false
        totalMemberCount:
          type: integer
          example: 4
        externalId:
          type: string
          nullable: true
          example: null
        isMe:
          type: boolean
          nullable: true
          example: null
    Meta:
      type: object
      properties:
        traceId:
          type: string
          example: 00-f125448ab05644fa80f36b22f1d71ac5-0124b07dc253ea94-00
        elapsedMs:
          type: number
          example: 70.26
        serverTimestamp:
          type: string
          format: date-time
          example: '2026-02-12T11:21:26.4669586Z'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````